## org.codehaus.groovy.grails.plugins
Interface PluginMetaManager

All Superinterfaces:
  PluginManagerAware

All Known Implementing Classes:
  DefaultPluginMetaManager

    public interface PluginMetaManager

extends PluginManagerAware

An interface that enables the evaluation of Plug-in Metadata supplied by the plug-ins plugin.xml file

Since:
  0.6

  Created: Aug 21, 2007 Time: 8:01:22 AM
Author:
  Graeme Rocher

Field Summary
`static String` `BEAN_ID` Id of the bean in the app ctx

Method Summary
`GrailsPlugin` `getPluginForResource(String name)` Obtains a plug-in instance from the pluginManager for the given resource name
`String` `getPluginPathForResource(String resourceName)` Obtains the path to the plug-in for the given resource
`String[]` `getPluginResources(String pluginName)` Retrieves all the plugin resource names for the given plugin name
`String` `getPluginViewsPathForResource(String resourceName)` Obtains the path to the plug-in views directory for the given resource name

Methods inherited from interface org.codehaus.groovy.grails.plugins.PluginManagerAware
`setPluginManager`

Field Detail

### BEAN_ID

    static final String BEAN_ID

  Id of the bean in the app ctx

  See Also:
    Constant Field Values

Method Detail

### getPluginResources

    String[] getPluginResources(String pluginName)

  Retrieves all the plugin resource names for the given plugin name

  Parameters:
    `pluginName` - The plugin name
  Returns:
    An array of plugin resource names

### getPluginForResource

    GrailsPlugin getPluginForResource(String name)

  Obtains a plug-in instance from the pluginManager for the given resource name

  Parameters:
    `name` - The name of the resource
  Returns:
    A GrailsPlugin instance or null

### getPluginPathForResource

    String getPluginPathForResource(String resourceName)

  Obtains the path to the plug-in for the given resource

  Parameters:
    `resourceName` - The name of the resource
  Returns:
    The path to the plug-in or null if it doesn't exist

### getPluginViewsPathForResource

    String getPluginViewsPathForResource(String resourceName)

  Obtains the path to the plug-in views directory for the given resource name

  Parameters:
    `resourceName` - The resource name
  Returns:
    The path to the plug-in views directory or null if the plug-in doesn't exist

Copyright (c) 2005-2009 The Grails project